diff --git a/TMOgui/resources.ui b/TMOgui/resources.ui
index 47294f0..edb78dd 100644
--- a/TMOgui/resources.ui
+++ b/TMOgui/resources.ui
@@ -1,233 +1,204 @@
-<!DOCTYPE UI><UI version="3.3" stdsetdef="1">
-<class>TMOGUIImageSize</class>
-<widget class="QDialog">
-    <property name="name">
-        <cstring>TMOGUIImageSize</cstring>
-    </property>
-    <property name="geometry">
-        <rect>
-            <x>0</x>
-            <y>0</y>
-            <width>285</width>
-            <height>151</height>
-        </rect>
-    </property>
-    <property name="caption">
-        <string>Image Size</string>
-    </property>
-    <widget class="QCheckBox">
-        <property name="name">
-            <cstring>CheckBox1</cstring>
-        </property>
-        <property name="geometry">
-            <rect>
-                <x>20</x>
-                <y>120</y>
-                <width>150</width>
-                <height>21</height>
-            </rect>
-        </property>
-        <property name="text">
-            <string>Constrain proportions </string>
-        </property>
-        <property name="toolTip" stdset="0">
-            <string>Constrain aspect ratio</string>
-        </property>
-    </widget>
-    <widget class="QGroupBox">
-        <property name="name">
-            <cstring>GroupBox1</cstring>
-        </property>
-        <property name="geometry">
-            <rect>
-                <x>10</x>
-                <y>10</y>
-                <width>170</width>
-                <height>100</height>
-            </rect>
-        </property>
-        <property name="title">
-            <string>Dimensions</string>
-        </property>
-        <widget class="QLabel">
-            <property name="name">
-                <cstring>TextLabel2</cstring>
-            </property>
-            <property name="geometry">
-                <rect>
-                    <x>10</x>
-                    <y>60</y>
-                    <width>40</width>
-                    <height>21</height>
-                </rect>
-            </property>
-            <property name="text">
-                <string>Height :</string>
-            </property>
-        </widget>
-        <widget class="QLabel">
-            <property name="name">
-                <cstring>TextLabel1</cstring>
-            </property>
-            <property name="geometry">
-                <rect>
-                    <x>10</x>
-                    <y>30</y>
-                    <width>40</width>
-                    <height>21</height>
-                </rect>
-            </property>
-            <property name="text">
-                <string>Width :</string>
-            </property>
-        </widget>
-        <widget class="QLineEdit">
-            <property name="name">
-                <cstring>LineEdit1</cstring>
-            </property>
-            <property name="geometry">
-                <rect>
-                    <x>60</x>
-                    <y>30</y>
-                    <width>60</width>
-                    <height>22</height>
-                </rect>
-            </property>
-        </widget>
-        <widget class="QLineEdit">
-            <property name="name">
-                <cstring>LineEdit2</cstring>
-            </property>
-            <property name="geometry">
-                <rect>
-                    <x>60</x>
-                    <y>60</y>
-                    <width>60</width>
-                    <height>22</height>
-                </rect>
-            </property>
-            <property name="frameShape">
-                <enum>LineEditPanel</enum>
-            </property>
-            <property name="frameShadow">
-                <enum>Sunken</enum>
-            </property>
-        </widget>
-        <widget class="QLabel">
-            <property name="name">
-                <cstring>ratioLabel</cstring>
-            </property>
-            <property name="geometry">
-                <rect>
-                    <x>143</x>
-                    <y>32</y>
-                    <width>20</width>
-                    <height>50</height>
-                </rect>
-            </property>
-            <property name="text">
-                <string></string>
-            </property>
-            <property name="pixmap">
-                <pixmap>image0</pixmap>
-            </property>
-        </widget>
-        <widget class="QLabel">
-            <property name="name">
-                <cstring>textLabel1_2</cstring>
-            </property>
-            <property name="geometry">
-                <rect>
-                    <x>126</x>
-                    <y>60</y>
-                    <width>20</width>
-                    <height>20</height>
-                </rect>
-            </property>
-            <property name="text">
-                <string>px</string>
-            </property>
-        </widget>
-        <widget class="QLabel">
-            <property name="name">
-                <cstring>textLabel1</cstring>
-            </property>
-            <property name="geometry">
-                <rect>
-                    <x>126</x>
-                    <y>30</y>
-                    <width>20</width>
-                    <height>20</height>
-                </rect>
-            </property>
-            <property name="text">
-                <string>px</string>
-            </property>
-        </widget>
-    </widget>
-    <widget class="QPushButton">
-        <property name="name">
-            <cstring>PushButton2</cstring>
-        </property>
-        <property name="geometry">
-            <rect>
-                <x>193</x>
-                <y>60</y>
-                <width>81</width>
-                <height>31</height>
-            </rect>
-        </property>
-        <property name="text">
-            <string>Cancel</string>
-        </property>
-    </widget>
-    <widget class="QPushButton">
-        <property name="name">
-            <cstring>PushButton1</cstring>
-        </property>
-        <property name="geometry">
-            <rect>
-                <x>193</x>
-                <y>20</y>
-                <width>81</width>
-                <height>31</height>
-            </rect>
-        </property>
-        <property name="text">
-            <string>OK</string>
-        </property>
-    </widget>
-</widget>
-<images>
-    <image name="image0">
-        <data format="PNG" length="131">89504e470d0a1a0a0000000d49484452000000140000003208060000005c7cfb260000004a49444154789cedd7b10e00100c45d112ffffcb6c222f16d5a1e2deadcb496b63f65d45e67eeb54ff2efbc2413df9a4f5791e3a191010101010101010101030b626b3f72735cb7f72fe06c232035ab3f9a1c30000000049454e44ae426082</data>
-    </image>
-</images>
-<connections>
-    <connection>
-        <sender>PushButton1</sender>
-        <signal>clicked()</signal>
-        <receiver>TMOGUIImageSize</receiver>
-        <slot>accept()</slot>
-    </connection>
-    <connection>
-        <sender>PushButton2</sender>
-        <signal>clicked()</signal>
-        <receiver>TMOGUIImageSize</receiver>
-        <slot>reject()</slot>
-    </connection>
-    <connection>
-        <sender>CheckBox1</sender>
-        <signal>toggled(bool)</signal>
-        <receiver>TMOGUIImageSize</receiver>
-        <slot>CheckBox1_toggled(bool)</slot>
-    </connection>
-</connections>
-<includes>
-    <include location="local" impldecl="in implementation">resources.ui.h</include>
-</includes>
-<slots>
-    <slot>CheckBox1_toggled( bool on )</slot>
-</slots>
-<layoutdefaults spacing="6" margin="11"/>
-</UI>
+<?xml version="1.0" encoding="UTF-8"?>
+<ui version="4.0" stdsetdef="1">
+  <author></author>
+  <comment></comment>
+  <exportmacro></exportmacro>
+  <class>TMOGUIImageSize</class>
+  <widget class="QDialog" name="TMOGUIImageSize">
+    <property name="geometry">
+      <rect>
+        <x>0</x>
+        <y>0</y>
+        <width>285</width>
+        <height>151</height>
+      </rect>
+    </property>
+    <property name="windowTitle">
+      <string>Image Size</string>
+    </property>
+    <widget class="QCheckBox" name="CheckBox1">
+      <property name="geometry">
+        <rect>
+          <x>20</x>
+          <y>120</y>
+          <width>150</width>
+          <height>21</height>
+        </rect>
+      </property>
+      <property name="text">
+        <string>Constrain proportions </string>
+      </property>
+      <property name="toolTip" stdset="0">
+        <string>Constrain aspect ratio</string>
+      </property>
+    </widget>
+    <widget class="Q3GroupBox" name="GroupBox1">
+      <property name="geometry">
+        <rect>
+          <x>10</x>
+          <y>10</y>
+          <width>170</width>
+          <height>100</height>
+        </rect>
+      </property>
+      <property name="title">
+        <string>Dimensions</string>
+      </property>
+      <widget class="QLabel" name="TextLabel2">
+        <property name="geometry">
+          <rect>
+            <x>10</x>
+            <y>60</y>
+            <width>40</width>
+            <height>21</height>
+          </rect>
+        </property>
+        <property name="text">
+          <string>Height :</string>
+        </property>
+        <property name="wordWrap">
+          <bool>false</bool>
+        </property>
+      </widget>
+      <widget class="QLabel" name="TextLabel1">
+        <property name="geometry">
+          <rect>
+            <x>10</x>
+            <y>30</y>
+            <width>40</width>
+            <height>21</height>
+          </rect>
+        </property>
+        <property name="text">
+          <string>Width :</string>
+        </property>
+        <property name="wordWrap">
+          <bool>false</bool>
+        </property>
+      </widget>
+      <widget class="QLineEdit" name="LineEdit1">
+        <property name="geometry">
+          <rect>
+            <x>60</x>
+            <y>30</y>
+            <width>60</width>
+            <height>22</height>
+          </rect>
+        </property>
+      </widget>
+      <widget class="QLineEdit" name="LineEdit2">
+        <property name="geometry">
+          <rect>
+            <x>60</x>
+            <y>60</y>
+            <width>60</width>
+            <height>22</height>
+          </rect>
+        </property>
+      </widget>
+      <widget class="QLabel" name="ratioLabel">
+        <property name="geometry">
+          <rect>
+            <x>143</x>
+            <y>32</y>
+            <width>20</width>
+            <height>50</height>
+          </rect>
+        </property>
+        <property name="text">
+          <string/>
+        </property>
+        <property name="pixmap">
+          <pixmap>image0</pixmap>
+        </property>
+        <property name="wordWrap">
+          <bool>false</bool>
+        </property>
+      </widget>
+      <widget class="QLabel" name="textLabel1_2">
+        <property name="geometry">
+          <rect>
+            <x>126</x>
+            <y>60</y>
+            <width>20</width>
+            <height>20</height>
+          </rect>
+        </property>
+        <property name="text">
+          <string>px</string>
+        </property>
+        <property name="wordWrap">
+          <bool>false</bool>
+        </property>
+      </widget>
+      <widget class="QLabel" name="textLabel1">
+        <property name="geometry">
+          <rect>
+            <x>126</x>
+            <y>30</y>
+            <width>20</width>
+            <height>20</height>
+          </rect>
+        </property>
+        <property name="text">
+          <string>px</string>
+        </property>
+        <property name="wordWrap">
+          <bool>false</bool>
+        </property>
+      </widget>
+    </widget>
+    <widget class="QPushButton" name="PushButton2">
+      <property name="geometry">
+        <rect>
+          <x>193</x>
+          <y>60</y>
+          <width>81</width>
+          <height>31</height>
+        </rect>
+      </property>
+      <property name="text">
+        <string>Cancel</string>
+      </property>
+    </widget>
+    <widget class="QPushButton" name="PushButton1">
+      <property name="geometry">
+        <rect>
+          <x>193</x>
+          <y>20</y>
+          <width>81</width>
+          <height>31</height>
+        </rect>
+      </property>
+      <property name="text">
+        <string>OK</string>
+      </property>
+    </widget>
+  </widget>
+  <layoutdefault spacing="6" margin="11"/>
+  <images>
+    <image name="image0">
+      <data format="PNG" length="131">89504e470d0a1a0a0000000d49484452000000140000003208060000005c7cfb260000004a49444154789cedd7b10e00100c45d112ffffcb6c222f16d5a1e2deadcb496b63f65d45e67eeb54ff2efbc2413df9a4f5791e3a191010101010101010101030b626b3f72735cb7f72fe06c232035ab3f9a1c30000000049454e44ae426082</data>
+    </image>
+  </images>
+  <connections>
+    <connection>
+      <sender>PushButton1</sender>
+      <signal>clicked()</signal>
+      <receiver>TMOGUIImageSize</receiver>
+      <slot>accept()</slot>
+    </connection>
+    <connection>
+      <sender>PushButton2</sender>
+      <signal>clicked()</signal>
+      <receiver>TMOGUIImageSize</receiver>
+      <slot>reject()</slot>
+    </connection>
+    <connection>
+      <sender>CheckBox1</sender>
+      <signal>toggled(bool)</signal>
+      <receiver>TMOGUIImageSize</receiver>
+      <slot>CheckBox1_toggled(bool)</slot>
+    </connection>
+  </connections>
+</ui>
diff --git a/TMOgui/resources1.ui b/TMOgui/resources1.ui
index 3843370..55c0b7d 100644
--- a/TMOgui/resources1.ui
+++ b/TMOgui/resources1.ui
@@ -1,273 +1,202 @@
-<!DOCTYPE UI><UI>
-<class>TMOGUIMergeComponents</class>
-<widget>
-    <class>QDialog</class>
-    <property stdset="1">
-        <name>name</name>
-        <cstring>TMOGUIMergeComponents</cstring>
+<?xml version="1.0" encoding="UTF-8"?>
+<ui version="4.0" stdsetdef="1">
+  <author></author>
+  <comment></comment>
+  <exportmacro></exportmacro>
+  <class>TMOGUIMergeComponents</class>
+  <widget class="QDialog" name="TMOGUIMergeComponents">
+    <property name="geometry">
+      <rect>
+        <x>0</x>
+        <y>0</y>
+        <width>636</width>
+        <height>245</height>
+      </rect>
     </property>
-    <property stdset="1">
-        <name>geometry</name>
+    <property name="windowTitle">
+      <string>Merge Components</string>
+    </property>
+    <widget class="QLabel" name="TextLabel1">
+      <property name="geometry">
         <rect>
-            <x>0</x>
-            <y>0</y>
-            <width>636</width>
-            <height>245</height>
+          <x>70</x>
+          <y>10</y>
+          <width>30</width>
+          <height>20</height>
         </rect>
-    </property>
-    <property stdset="1">
-        <name>caption</name>
-        <string>Merge Components</string>
-    </property>
-    <widget>
-        <class>QLabel</class>
-        <property stdset="1">
-            <name>name</name>
-            <cstring>TextLabel1</cstring>
-        </property>
-        <property stdset="1">
-            <name>geometry</name>
-            <rect>
-                <x>70</x>
-                <y>10</y>
-                <width>30</width>
-                <height>20</height>
-            </rect>
-        </property>
-        <property stdset="1">
-            <name>text</name>
-            <string>Red</string>
-        </property>
+      </property>
+      <property name="text">
+        <string>Red</string>
+      </property>
+      <property name="wordWrap">
+        <bool>false</bool>
+      </property>
     </widget>
-    <widget>
-        <class>QComboBox</class>
-        <property stdset="1">
-            <name>name</name>
-            <cstring>ComboBox2</cstring>
-        </property>
-        <property stdset="1">
-            <name>geometry</name>
-            <rect>
-                <x>190</x>
-                <y>210</y>
-                <width>161</width>
-                <height>21</height>
-            </rect>
-        </property>
+    <widget class="QComboBox" name="ComboBox2">
+      <property name="geometry">
+        <rect>
+          <x>190</x>
+          <y>210</y>
+          <width>161</width>
+          <height>21</height>
+        </rect>
+      </property>
     </widget>
-    <widget>
-        <class>QLabel</class>
-        <property stdset="1">
-            <name>name</name>
-            <cstring>TextLabel2</cstring>
-        </property>
-        <property stdset="1">
-            <name>geometry</name>
-            <rect>
-                <x>250</x>
-                <y>10</y>
-                <width>40</width>
-                <height>21</height>
-            </rect>
-        </property>
-        <property stdset="1">
-            <name>text</name>
-            <string>Green</string>
-        </property>
+    <widget class="QLabel" name="TextLabel2">
+      <property name="geometry">
+        <rect>
+          <x>250</x>
+          <y>10</y>
+          <width>40</width>
+          <height>21</height>
+        </rect>
+      </property>
+      <property name="text">
+        <string>Green</string>
+      </property>
+      <property name="wordWrap">
+        <bool>false</bool>
+      </property>
     </widget>
-    <widget>
-        <class>QLabel</class>
-        <property stdset="1">
-            <name>name</name>
-            <cstring>TextLabel3</cstring>
-        </property>
-        <property stdset="1">
-            <name>geometry</name>
-            <rect>
-                <x>430</x>
-                <y>10</y>
-                <width>30</width>
-                <height>21</height>
-            </rect>
-        </property>
-        <property stdset="1">
-            <name>text</name>
-            <string>Blue</string>
-        </property>
+    <widget class="QLabel" name="TextLabel3">
+      <property name="geometry">
+        <rect>
+          <x>430</x>
+          <y>10</y>
+          <width>30</width>
+          <height>21</height>
+        </rect>
+      </property>
+      <property name="text">
+        <string>Blue</string>
+      </property>
+      <property name="wordWrap">
+        <bool>false</bool>
+      </property>
     </widget>
-    <widget>
-        <class>QComboBox</class>
-        <property stdset="1">
-            <name>name</name>
-            <cstring>ComboBox3</cstring>
-        </property>
-        <property stdset="1">
-            <name>geometry</name>
-            <rect>
-                <x>360</x>
-                <y>210</y>
-                <width>161</width>
-                <height>21</height>
-            </rect>
-        </property>
+    <widget class="QComboBox" name="ComboBox3">
+      <property name="geometry">
+        <rect>
+          <x>360</x>
+          <y>210</y>
+          <width>161</width>
+          <height>21</height>
+        </rect>
+      </property>
     </widget>
-    <widget>
-        <class>QPushButton</class>
-        <property stdset="1">
-            <name>name</name>
-            <cstring>PushButton1</cstring>
-        </property>
-        <property stdset="1">
-            <name>geometry</name>
-            <rect>
-                <x>540</x>
-                <y>30</y>
-                <width>91</width>
-                <height>30</height>
-            </rect>
-        </property>
-        <property stdset="1">
-            <name>text</name>
-            <string>OK</string>
-        </property>
+    <widget class="QPushButton" name="PushButton1">
+      <property name="geometry">
+        <rect>
+          <x>540</x>
+          <y>30</y>
+          <width>91</width>
+          <height>30</height>
+        </rect>
+      </property>
+      <property name="text">
+        <string>OK</string>
+      </property>
     </widget>
-    <widget>
-        <class>QPushButton</class>
-        <property stdset="1">
-            <name>name</name>
-            <cstring>PushButton2</cstring>
-        </property>
-        <property stdset="1">
-            <name>geometry</name>
-            <rect>
-                <x>540</x>
-                <y>70</y>
-                <width>91</width>
-                <height>31</height>
-            </rect>
-        </property>
-        <property stdset="1">
-            <name>text</name>
-            <string>Cancel</string>
-        </property>
+    <widget class="QPushButton" name="PushButton2">
+      <property name="geometry">
+        <rect>
+          <x>540</x>
+          <y>70</y>
+          <width>91</width>
+          <height>31</height>
+        </rect>
+      </property>
+      <property name="text">
+        <string>Cancel</string>
+      </property>
     </widget>
-    <widget>
-        <class>QComboBox</class>
-        <property stdset="1">
-            <name>name</name>
-            <cstring>ComboBox1</cstring>
-        </property>
-        <property stdset="1">
-            <name>geometry</name>
-            <rect>
-                <x>20</x>
-                <y>210</y>
-                <width>161</width>
-                <height>21</height>
-            </rect>
-        </property>
+    <widget class="QComboBox" name="ComboBox1">
+      <property name="geometry">
+        <rect>
+          <x>20</x>
+          <y>210</y>
+          <width>161</width>
+          <height>21</height>
+        </rect>
+      </property>
     </widget>
-    <widget>
-        <class>QLabel</class>
-        <property stdset="1">
-            <name>name</name>
-            <cstring>PixmapLabel1</cstring>
-        </property>
-        <property stdset="1">
-            <name>geometry</name>
-            <rect>
-                <x>20</x>
-                <y>40</y>
-                <width>160</width>
-                <height>160</height>
-            </rect>
-        </property>
-        <property stdset="1">
-            <name>sizePolicy</name>
-            <sizepolicy>
-                <hsizetype>1</hsizetype>
-                <vsizetype>1</vsizetype>
-            </sizepolicy>
-        </property>
-        <property stdset="1">
-            <name>scaledContents</name>
-            <bool>false</bool>
-        </property>
-        <property stdset="1">
-            <name>alignment</name>
-            <set>AlignCenter</set>
-        </property>
-        <property>
-            <name>hAlign</name>
-        </property>
+    <widget class="QLabel" name="PixmapLabel1">
+      <property name="geometry">
+        <rect>
+          <x>20</x>
+          <y>40</y>
+          <width>160</width>
+          <height>160</height>
+        </rect>
+      </property>
+      <property name="sizePolicy">
+        <sizepolicy>
+          <hsizetype>1</hsizetype>
+          <vsizetype>1</vsizetype>
+        </sizepolicy>
+      </property>
+      <property name="scaledContents">
+        <bool>false</bool>
+      </property>
+      <property name="alignment">
+        <set>Qt::AlignCenter</set>
+      </property>
+      <property name="wordWrap">
+        <bool>false</bool>
+      </property>
     </widget>
-    <widget>
-        <class>QLabel</class>
-        <property stdset="1">
-            <name>name</name>
-            <cstring>PixmapLabel2</cstring>
-        </property>
-        <property stdset="1">
-            <name>geometry</name>
-            <rect>
-                <x>190</x>
-                <y>40</y>
-                <width>160</width>
-                <height>160</height>
-            </rect>
-        </property>
-        <property stdset="1">
-            <name>scaledContents</name>
-            <bool>false</bool>
-        </property>
-        <property stdset="1">
-            <name>alignment</name>
-            <set>AlignCenter</set>
-        </property>
-        <property>
-            <name>hAlign</name>
-        </property>
+    <widget class="QLabel" name="PixmapLabel2">
+      <property name="geometry">
+        <rect>
+          <x>190</x>
+          <y>40</y>
+          <width>160</width>
+          <height>160</height>
+        </rect>
+      </property>
+      <property name="scaledContents">
+        <bool>false</bool>
+      </property>
+      <property name="alignment">
+        <set>Qt::AlignCenter</set>
+      </property>
+      <property name="wordWrap">
+        <bool>false</bool>
+      </property>
     </widget>
-    <widget>
-        <class>QLabel</class>
-        <property stdset="1">
-            <name>name</name>
-            <cstring>PixmapLabel3</cstring>
-        </property>
-        <property stdset="1">
-            <name>geometry</name>
-            <rect>
-                <x>360</x>
-                <y>40</y>
-                <width>160</width>
-                <height>160</height>
-            </rect>
-        </property>
-        <property stdset="1">
-            <name>scaledContents</name>
-            <bool>false</bool>
-        </property>
-        <property stdset="1">
-            <name>alignment</name>
-            <set>AlignCenter</set>
-        </property>
-        <property>
-            <name>hAlign</name>
-        </property>
+    <widget class="QLabel" name="PixmapLabel3">
+      <property name="geometry">
+        <rect>
+          <x>360</x>
+          <y>40</y>
+          <width>160</width>
+          <height>160</height>
+        </rect>
+      </property>
+      <property name="scaledContents">
+        <bool>false</bool>
+      </property>
+      <property name="alignment">
+        <set>Qt::AlignCenter</set>
+      </property>
+      <property name="wordWrap">
+        <bool>false</bool>
+      </property>
     </widget>
-</widget>
-<connections>
+  </widget>
+  <pixmapfunction>qPixmapFromMimeSource</pixmapfunction>
+  <connections>
     <connection>
-        <sender>PushButton1</sender>
-        <signal>clicked()</signal>
-        <receiver>TMOGUIMergeComponents</receiver>
-        <slot>accept()</slot>
+      <sender>PushButton1</sender>
+      <signal>clicked()</signal>
+      <receiver>TMOGUIMergeComponents</receiver>
+      <slot>accept()</slot>
     </connection>
     <connection>
-        <sender>PushButton2</sender>
-        <signal>clicked()</signal>
-        <receiver>TMOGUIMergeComponents</receiver>
-        <slot>reject()</slot>
+      <sender>PushButton2</sender>
+      <signal>clicked()</signal>
+      <receiver>TMOGUIMergeComponents</receiver>
+      <slot>reject()</slot>
     </connection>
-</connections>
-</UI>
+  </connections>
+</ui>
